SORACOM SANDBOX API (20230923-005714)

Download OpenAPI specification:

SORACOM SANDBOX API v1

API Sandbox: Coupon

Creates a coupon

Creates a coupon.

Authorizations:
(api_keyapi_token)
Request Body schema: application/json
required

request

amount
integer <int32>
applicableBillItemName
string
Enum: "dailyDataTrafficChargeTotal" "dailyChargeTotal" "dailySoracomBeamRequestChargeTotal"
expiryYearMonth
string <yyyyMM>

Responses

Request samples

Content type
application/json
{
  • "amount": 1000,
  • "applicableBillItemName": "dailyDataTrafficChargeTotal",
  • "expiryYearMonth": "string"
}

Response samples

Content type
application/json
{
  • "amount": 0.1,
  • "balance": 0.1,
  • "billItemName": "string",
  • "couponCode": "string",
  • "expiryYearMonth": "string"
}

API Sandbox: Operator

Creates an operator account

Performs complex signup process at once, including registering dummy payment method. Specify email and password for an operator which will be created on sandbox, authKeyId and authKey for a real operator on the production environment. An API Key and an API Token will be included in the response if successful. Use the API Key and the API Token to requests afterwards.

Request Body schema: application/json
required

request

authKey
required
string
authKeyId
required
string
coverageTypes
Array of strings
Items Enum: "g" "jp"

Coverage type.

  • g: Global coverage
  • jp: Japan coverage
email
required
string
password
required
string
registerPaymentMethod
boolean
Default: true

Responses

Request samples

Content type
application/json
{
  • "authKey": "string",
  • "authKeyId": "string",
  • "coverageTypes": [
    ],
  • "email": "string",
  • "password": "string",
  • "registerPaymentMethod": true
}

Response samples

Content type
application/json
{
  • "apiKey": "string",
  • "operatorId": "string",
  • "token": "string",
  • "userName": "string"
}

Deletes an operator

Deletes the specified operator.

Authorizations:
(api_keyapi_token)
path Parameters
operator_id
required
string

Operator ID

Responses

Gets a signup token

Retrieves a 'signup token' for registration confirmation. Please specify a pair of AuthKeyId and AuthKey of a SAM user on the production environment to check if the caller has a valid account on it.

path Parameters
email
required
string

Email

Request Body schema: application/json
required

Authentication request.

authKey
string
authKeyId
string

Responses

Request samples

Content type
application/json
{
  • "authKey": "string",
  • "authKeyId": "string"
}

Response samples

Content type
application/json
{
  • "token": "string"
}

API Sandbox: Order

Ships the specified order

Changes the shipping status to 'shipped' and gets ready the subscribers included in the order.

Authorizations:
(api_keyapi_token)
Request Body schema: application/json
required

Shipping request

operatorId
required
string
orderId
required
string

Responses

Request samples

Content type
application/json
{
  • "operatorId": "string",
  • "orderId": "string"
}

API Sandbox: Stats

Inserts Air stats for testing

Populates Air stats for testing purpose. Inserted data are going to be automatically accumulated. It is not possible to put the data multiple times with the same timestamp.

Authorizations:
(api_keyapi_token)
path Parameters
imsi
required
string

IMSI.

Request Body schema: application/json
required

The Air stats (up/down bytes of data) with specified timestamp.

object

Test data for each speed class, including data for both upload and download, with timestamps. Specify a string representing the speed class as a key.

  • s1.minimum
  • s1.slow
  • s1.standard
  • s1.fast
  • s1.4xfast
  • s1.8xfast
  • u1.standard
  • u1.slow
  • t1.standard
  • arc.standard
unixtime
integer <int64>

UNIX time (in seconds).

Responses

Request samples

Content type
application/json
{
  • "dataTrafficStatsMap": {
    },
  • "unixtime": 0
}

Inserts Beam stats for testing

Populates Beam stats for testing purpose. Inserted data are going to be automatically accumulated. It is not possible to put the data multiple times with the same timestamp.

Authorizations:
(api_keyapi_token)
path Parameters
imsi
required
string

IMSI.

Request Body schema: application/json
required

The Beam stats (number of requests) with specified timestamp.

object
unixtime
integer <int64>

UNIX time (in seconds).

Responses

Request samples

Content type
application/json
{
  • "beamStatsMap": {
    },
  • "unixtime": 0
}

API Sandbox: Subscriber

Creates a new subscriber for sandbox

Creates a new subscriber for sandbox.

Authorizations:
(api_keyapi_token)
Request Body schema: application/json

Create request

bundles
Array of strings
Items Enum: "X3-5MB" "D-500MB" "DU-10GB" "DU-50GB" "DU-100GB" "K2-500MB"

Bundle. If necessary, specify one of:

subscription
string
Enum: "plan01s" "plan01s-low_data_volume" "planP1" "planX3" "plan-D" "plan-K" "plan-KM1" "plan-DU" "plan-K2"

Subscription. Specify one of:

Responses

Request samples

Content type
application/json
Example
{
  • "bundle": [
    ],
  • "subscription": "plan-D"
}

Response samples

Content type
application/json
{
  • "apn": "string",
  • "createdAt": 0,
  • "expiryTime": 0,
  • "imsi": "string",
  • "ipAddress": "string",
  • "lastModifiedAt": 0,
  • "msisdn": "string",
  • "operatorId": "string",
  • "registrationSecret": "string",
  • "serialNumber": "string",
  • "speedClass": "string",
  • "status": "string",
  • "subscription": "string",
  • "tags": {
    }
}